Subject: Re: [PATCH 01/12] net: dsa: lantiq_gswip: mark OF related data as maybe unused

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Mar 2023 22:22:44 -0700

On Sun, 12 Mar 2023 12:57:29 +0200 Vladimir Oltean wrote:
> > Sorry, I don't follow. I don't touch that wrappers, just fix errors
> > related to OF device ID tables, although in few cases it is indeed
> > related to of_match_node.  
> 
> I'm saying this because in lantiq_gswip.c, xway_gphy_match is accessed
> through of_match_node(). If the shim definition for of_match_node() was
> different, the variable wouldn't have been unused with CONFIG_OF=n.
> I guess it's worth considering changing that wrapper instead of adding
> the __maybe_unused.

Hi Krzysztof, have you had a chance to check if using an empty static
inline is enough to silence the compiler? Seems like it could save
us quite some churn? Or do we want the of_match_node() decorations
to go away in general?